# Uses of Interface
org.apache.sysds.runtime.ooc.memory.MemoryAllowance

Packages that use MemoryAllowance
Package
Description
org.apache.sysds.runtime.ooc.cache
org.apache.sysds.runtime.ooc.cache.packed
org.apache.sysds.runtime.ooc.memory

## Uses of MemoryAllowance in org.apache.sysds.runtime.ooc.cache

Methods in org.apache.sysds.runtime.ooc.cache that return MemoryAllowance
Modifier and Type
Method
Description
`MemoryAllowance`
OOCCache.UnpinHandle.`allowance()`
Methods in org.apache.sysds.runtime.ooc.cache with parameters of type MemoryAllowance
Modifier and Type
Method
Description
`OOCFuture<BlockEntry>`
OOCCache.`pin(long sId, long tId, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`default OOCFuture<BlockEntry>`
OOCCache.`pin(BlockKey key, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`OOCFuture<BlockEntry>`
OOCCacheImpl.`pin(long sId, long tId, MemoryAllowance allowance)`
`OOCFuture<BlockEntry>`
OOCCache.`pinAdmitted(long sId, long tId, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`default OOCFuture<BlockEntry>`
OOCCache.`pinAdmitted(BlockKey key, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`OOCFuture<BlockEntry>`
OOCCacheImpl.`pinAdmitted(long sId, long tId, MemoryAllowance allowance)`
`BlockEntry`
OOCCache.`pinIfLive(long sId, long tId, MemoryAllowance allowance)`
Pins an item backed by an allowance if it is already live in cache.
`BlockEntry`
OOCCacheImpl.`pinIfLive(long sId, long tId, MemoryAllowance allowance)`
`BlockEntry`
OOCCache.`putPinned(long sId, long tId, Object data, long size, MemoryAllowance allowance)`
Adds a new pinned entry whose bytes are already owned by the given allowance.
`default BlockEntry`
OOCCache.`putPinned(BlockKey key, Object data, long size, MemoryAllowance allowance)`
Adds a new pinned entry whose bytes are already owned by the given allowance.
`BlockEntry`
OOCCacheImpl.`putPinned(long sId, long tId, Object data, long size, MemoryAllowance allowance)`
`OOCCache.UnpinHandle`
OOCCache.`unpin(BlockEntry entry, MemoryAllowance allowance)`
Unpins an item that is still backed by the given allowance.
`OOCCache.UnpinHandle`
OOCCacheImpl.`unpin(BlockEntry entry, MemoryAllowance allowance)`

## Uses of MemoryAllowance in org.apache.sysds.runtime.ooc.cache.packed

Methods in org.apache.sysds.runtime.ooc.cache.packed with parameters of type MemoryAllowance
Modifier and Type
Method
Description
`OOCFuture<BlockEntry>`
OOCPackedCache.`pin(long sId, long tId, MemoryAllowance allowance)`
`OOCFuture<BlockEntry>`
OOCPackedCache.`pinAdmitted(long sId, long tId, MemoryAllowance allowance)`
`BlockEntry`
OOCPackedCache.`pinIfLive(long sId, long tId, MemoryAllowance allowance)`
`OOCFuture<OOCPackedCache.PackLease>`
OOCPackedCache.`pinPack(OOCPackedCache.PackGroup group, MemoryAllowance allowance)`
`BlockEntry[]`
OOCPackedCache.`putPackPinned(long sId, long[] tIds, Object[] data, long[] sizes, int off, int len, MemoryAllowance allowance)`
`BlockEntry`
OOCPackedCache.`putPinned(long sId, long tId, Object data, long size, MemoryAllowance allowance)`
`BlockEntry`
OOCPackedCache.`putSealedPackPinned(long sId, long[] tIds, Object[] data, long[] sizes, int off, int len, MemoryAllowance allowance)`
`OOCCache.UnpinHandle`
OOCPackedCache.`unpin(BlockEntry entry, MemoryAllowance allowance)`

## Uses of MemoryAllowance in org.apache.sysds.runtime.ooc.memory

Classes in org.apache.sysds.runtime.ooc.memory that implement MemoryAllowance
Modifier and Type
Class
Description
`class`
`CachedAllowance`
`class`
`SyncMemoryAllowance`
Methods in org.apache.sysds.runtime.ooc.memory with parameters of type MemoryAllowance
Modifier and Type
Method
Description
`void`
GlobalMemoryBroker.`attachAllowance(MemoryAllowance allowance)`
`void`
MemoryBroker.`attachAllowance(MemoryAllowance allowance)`
`void`
GlobalMemoryBroker.`destroyAllowance(MemoryAllowance allowance, long freedMemory)`
`void`
MemoryBroker.`destroyAllowance(MemoryAllowance allowance, long freedMemory)`
`void`
GlobalMemoryBroker.`freeMemory(MemoryAllowance allowance, long freedMemory)`
`void`
MemoryBroker.`freeMemory(MemoryAllowance allowance, long freedMemory)`
`long`
GlobalMemoryBroker.`requestMemory(MemoryAllowance allowance, long minSize, long maxSize)`
`long`
MemoryBroker.`requestMemory(MemoryAllowance allowance, long minSize, long maxSize)`
`void`
GlobalMemoryBroker.`shutdownAllowance(MemoryAllowance allowance)`
`void`
MemoryBroker.`shutdownAllowance(MemoryAllowance allowance)`
`void`
InMemoryQueueCallback.`transferOwnershipBlocking(MemoryAllowance allowance)`
`boolean`
InMemoryQueueCallback.`tryTransferOwnership(MemoryAllowance allowance)`
Constructors in org.apache.sysds.runtime.ooc.memory with parameters of type MemoryAllowance
Modifier
Constructor
Description
``
`InMemoryQueueCallback(IndexedMatrixValue result, DMLRuntimeException failure, MemoryAllowance allow, long reservedBytes)`